import { CloseGameAccountParams, CreateGameAccountParams, CreatePlayerProfileParams, CreateRegistrationParams, DepositParams, GameAccount, GameBundle, INft, IToken, ITransport, IWallet, JoinParams, PlayerProfile, PublishGameParams, RecipientAccount, RecipientClaimParams, RegisterGameParams, RegistrationAccount, RegistrationWithGames, ServerAccount, UnregisterGameParams, VoteParams, IStorage, TransactionResult } from '@race-foundation/sdk-core';
export declare class FacadeTransport implements ITransport {
    #private;
    constructor(url?: string);
    get chain(): string;
    createGameAccount(wallet: IWallet, params: CreateGameAccountParams): Promise<TransactionResult<string>>;
    closeGameAccount(wallet: IWallet, params: CloseGameAccountParams): Promise<TransactionResult<void>>;
    deposit(wallet: IWallet, params: DepositParams): Promise<TransactionResult<void>>;
    vote(wallet: IWallet, params: VoteParams): Promise<TransactionResult<void>>;
    publishGame(wallet: IWallet, params: PublishGameParams): Promise<TransactionResult<string>>;
    createRegistration(wallet: IWallet, params: CreateRegistrationParams): Promise<TransactionResult<string>>;
    registerGame(wallet: IWallet, params: RegisterGameParams): Promise<TransactionResult<void>>;
    unregisterGame(wallet: IWallet, params: UnregisterGameParams): Promise<TransactionResult<void>>;
    recipientClaim(_wallet: IWallet, _params: RecipientClaimParams): Promise<TransactionResult<void>>;
    listTokens(_storage?: IStorage): Promise<IToken[]>;
    createPlayerProfile(wallet: IWallet, params: CreatePlayerProfileParams): Promise<TransactionResult<void>>;
    join(wallet: IWallet, params: JoinParams): Promise<TransactionResult<void>>;
    getGameAccount(addr: string): Promise<GameAccount | undefined>;
    getGameBundle(addr: string): Promise<GameBundle | undefined>;
    getPlayerProfile(addr: string): Promise<PlayerProfile | undefined>;
    getServerAccount(addr: string): Promise<ServerAccount | undefined>;
    getRegistration(addr: string): Promise<RegistrationAccount | undefined>;
    getRecipient(addr: string): Promise<RecipientAccount | undefined>;
    getRegistrationWithGames(addr: string): Promise<RegistrationWithGames | undefined>;
    getToken(addr: string): Promise<IToken | undefined>;
    fetchBalances(walletAddr: string, tokenAddrs: string[]): Promise<Map<string, bigint>>;
    getNft(_addr: string, _storage?: IStorage): Promise<INft | undefined>;
    listNfts(_walletAddr: string, _storage?: IStorage): Promise<INft[]>;
    sendInstruction(method: string, ix: any): Promise<void>;
    fetchState(method: string, params: any): Promise<Uint8Array | undefined>;
}
//# sourceMappingURL=facade-transport.d.ts.map